Subject: Re: Change in alloc_skb() behavior in 3.2+ kernels?

From: Grant Edwards <[email-masked]>
Date: Wed, 6 Jun 2012 20:22:06 +0000 (UTC)

On 2012-06-06, David Miller <[email-masked]> wrote:
> From: Grant Edwards <[email-masked]>
> Date: Wed, 6 Jun 2012 18:59:19 +0000 (UTC)
>
>> At the time it was written (probably 10+ years ago) it was relying on
>> the documented API for alloc_skb() that stated alloc_skb() either
>> returned an sk_buff of the requested size or it failed.
>
> It was never a formal API that we would only allocate 'size'
> amount of tailroom.

Well, somebody forgot to tell whoever wrote the man page for
alloc_skb().  :)

-- 
Grant Edwards               grant.b.edwards        Yow! I'm ZIPPY the PINHEAD
                                  at               and I'm totally committed
                              gmail.com            to the festive mode.